class l7Amov extends l7Html
{

 constructor(data)
 {
  super(data);
  this.images=[];
  this.anz=data.anz;
  this.speed=data.speed;
  this.basedir=data.basedir;
  this.aki=2;
  this.direct=1;
  this.stop=false;
  this.rev=data.rev;
  this.up=true;
  
  this.hobj.style.backgroundImage='url("'+this.basedir+'1.jpg")';

  for (let i = 2; i <= this.anz; i++) 
  { 
   this.images[i]={};
   this.images[i].d={
    id:i,
    type:'img', 
    xtype:l7Html,
    par:this,
    left:{def:0},
    top:{def:0},    
    width:{def:1300},    
    height:{def:750},    
    vis:{def:'hidden'},
    isrc:{def:this.basedir+i+'.jpg'},     
   }  
   // console.log(i+'+'+this.images[i].d.isrc.def)
    this.images[i].i=new l7Html(this.images[i].d); 
   
  }
 }

 astep()
 {
  if (!this.stop)
  {
   
    if (this.up)
    { this.images[this.aki].i.hobj.style.visibility='visible';}
    else
    { 
     this.images[this.aki].i.hobj.style.visibility='hidden';
     if (this.aki<this.anz) {this.images[this.aki+1].i.hobj.style.visibility='hidden';}
    }   
    
     if (this.up && this.aki==this.anz) {this.up=false; }    
     if (!this.up && this.aki==2) {this.up=true; }        
    
   if (this.up) 
   {
    if (this.aki < this.anz)
    {
     this.aki++;
    }
   } 
   
   if (!this.up) 
   {
    if (this.aki > 2)
    {
     this.aki--;
    }
   }    
     
   
         
    window.setTimeout(this.astep.bind(this),this.speed);  
  }   
 }


  getMsg(msg)
 {
   super.getMsg(msg);

   switch (msg.act)
   {
    case 'start': this.stop=false; this.astep();   break;
    case 'stop' : this.stop=true;  break;
    case 'xstop': this.stop=true; this.visLabel(msg.val);  break;
   }
 }



}