class l7Html extends l7Base
{
  
 constructor (data) 
 { 
  super (data);

  
  //dimensions position
  
  this.d=data;
  this.taklabel='';

  //-----HTML object
  
  //position 
  this.d.type = (this.d.type) ? this.d.type : _type;

  this.hobj=document.createElement(this.d.type); 
  this.hobj.p=this;
  this.hobj.id=this.d.id;
  

  if (this.d.rot)
  {this.hobj.style.transform = 'rotate('+this.d.rot.def+_d+')'};

  
  this.hobj.style.position = (this.d.pos) ? this.d.pos : _pos;
  this.hobj.style.left = (this.d.left) ? this.d.left.def+_u : '0'+_u;
  this.hobj.style.top = (this.d.top) ? this.d.top.def+_u : '0'+_u;
  this.hobj.style.width = (this.d.width) ? this.d.width.def+_u : '0'+_u;
  this.hobj.style.height = (this.d.height) ? this.d.height.def+_u : '0'+_u;  
  
 
  //background
  this.hobj.style.backgroundColor = (this.d.bakcol) ? this.d.bakcol.def : undefined;  
  this.hobj.style.backgroundImage = (this.d.bakimg) ? 'url("'+this.d.bakimg.def+'")' : undefined;    
  

  
  //border
  this.hobj.style.borderColor = (this.d.bcolor) ? this.d.bcolor.def : '';
  this.hobj.style.borderWidth = (this.d.bwidth) ? this.d.bwidth.def+_u : '0'+_u;  
  this.hobj.style.borderStyle = (this.d.bstyle) ? this.d.bstyle.def : 'solid'; 
  this.hobj.style.borderRadius = (this.d.bradius) ? this.d.bradius.def+_u : '0'+_u;  
  this.hobj.style.overflow=this.d.overflow;
  this.hobj.style.boxShadow = (this.d.shadow) ? this.d.shadow.def : undefined;
  
  //visibility
  this.hobj.style.visibility = (this.d.vis) ? this.d.vis.def : 'visible';
  this.hobj.style.opacity = (this.d.opacity) ? this.d.opacity.def : '1';
  
  //text
  this.hobj.style.color = (this.d.color) ? this.d.color.def : _fc;
  this.hobj.style.fontSize = (this.d.fsize) ? this.d.fsize.def+_u : _fs+_u;
  this.hobj.style.padding = (this.d.padding) ? this.d.padding.def+_u : '0'+_u;
  
  if (this.d.innerHTML) {this.hobj.innerHTML=this.d.innerHTML}
  if (this.d.icenter)
  {
   this.hobj.style.display = 'flex';    
   this.hobj.style.alignItems = 'center';
   this.hobj.style.justifyContent = 'center';
  }

  
 
  
  if (!this.d.par || !this.d.par.hobj)
  {document.body.append(this.hobj);}

  if (this.d.par && this.d.par.hobj)
  {this.d.par.hobj.append(this.hobj)}
  
  if (this.d.xframe)
  { 
    this.d.par.mframe.hobj.append(this.hobj)
  }   
    
    
  if (this.d.trans)
  {this.hobj.style.transition = this.d.trans.def;}


 

 
  //type=img
  if (this.d.type == 'img') 
  {
   this.hobj.onload = function() // loadcheck
   {
  
    if (this.p.Diload) {this.p.Diload();} 
    if(this.p.d.iautosize)
    {
     this.p.hobj.style.width=this.naturalWidth+_u; 
     this.p.hobj.style.height=this.naturalHeight+_u;      
    }

    setTimeout(this.p.sendiload.bind(this.p),100)
    CORE.downlcnt(this);
   }
   

   CORE.addlcnt(this);
   this.hobj.src=this.d.isrc.def;    
  } 
  
  if (this.d.trans) 
  {
   this.hobj.addEventListener('transitionend',  () =>
   { 
    if (this.hobj.style.opacity==0) {this.hobj.style.visibility='hidden';}
 //   this.doMsg('transitionend');
    this.doMsg('transitionend'+this.taklabel);
    if (this.p.callback) {this.p.callback(this)}
   });   
  }    
 

 
 } 
 
 sendiload()
 {
   this.doMsg('iloaded');
 }   
 //--------
 
 getMsg(msg)
 {
   super.getMsg(msg);
 //   
   switch (msg.act)
   {
    case 'opacityL': this.hobj.style.visibility='visible'; this.opacityLabel(msg.val);   break;
    case 'visibilityL': this.visLabel(msg.val); break;    
    case 'visibilityD': this.hobj.style.visibility=msg.val; break;
   }
 } 
 //-------
 

 //--
 
 moveLabelX(label) 
 {  this.hobj.style.left=this.d.left[label]+_u;  } 
 
 moveLabelY(label)
 {  this.hobj.style.top=this.d.top[label]+_u;  }   
 
 moveLabelXY(label) 
 { this.moveLabelX(label); this.moveLabelY(label); }  
 
 rotateLabel(label)
 {this.hobj.style.transform='rotate('+this.d.rot[label]+_d+')'}
 
 opacityLabel(label)
 {this.hobj.style.opacity=this.d.opacity[label];this.taklabel=label} 
 
 visLabel(label)
 {this.hobj.style.visibility=this.d.vis[label];}
 
 //-- int
 
 Diload()
 {
  if (this.p && this.p.Diload) {this.p.Diload()}
 }
 
 
  
}  
